# floating ip

Network v2

## floating ip create

Create floating IP

    openstack floating ip create
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--subnet <subnet>]
        [--port <port>]
        [--floating-ip-address <ip-address>]
        [--fixed-ip-address <ip-address>]
        [--qos-policy <qos-policy>]
        [--description <description>]
        [--project <project>]
        [--dns-domain <dns-domain>]
        [--dns-name <dns-name>]
        [--project-domain <project-domain>]
        [--tag <tag> | --no-tag]
        <network>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--subnet <subnet>

  Subnet on which you want to create the floating IP (name or ID)

  Network version 2 only

--port <port>

  Port to be associated with the floating IP (name or ID)

  Network version 2 only

--floating-ip-address <ip-address>

  Floating IP address

  Network version 2 only

--fixed-ip-address <ip-address>

  Fixed IP address mapped to the floating IP

  Network version 2 only

--qos-policy <qos-policy>

  Attach QoS policy to the floating IP (name or ID)

  Network version 2 only

--description <description>

  Set floating IP description

  Network version 2 only

--project <project>

  Owner’s project (name or ID)

  Network version 2 only

--dns-domain <dns-domain>

  Set DNS domain for this floating IP

  Network version 2 only

--dns-name <dns-name>

  Set DNS name for this floating IP

  Network version 2 only

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

  Network version 2 only

--tag <tag>

  Tag to be added to the floating IP (repeat option to set multiple tags)

  Network version 2 only

--no-tag

  No tags associated with the floating IP

  Network version 2 only

network

  Network to allocate floating IP from (name or ID)

## floating ip delete

Delete floating IP(s)

    openstack floating ip delete <floating-ip> [<floating-ip> ...]

floating-ip

  Floating IP(s) to delete (IP address or ID)

## floating ip list

List floating IP(s)

    openstack floating ip list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--network <network>]
        [--port <port>]
        [--fixed-ip-address <ip-address>]
        [--floating-ip-address <ip-address>]
        [--status <status>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--router <router>]
        [--tags <tag>[,<tag>,...]]
        [--any-tags <tag>[,<tag>,...]]
        [--not-tags <tag>[,<tag>,...]]
        [--not-any-tags <tag>[,<tag>,...]]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--network <network>

  List only floating IP(s) with the specified network (name or ID) (repeat option to fiter on multiple networks)

  Network version 2 only

--port <port>

  List only floating IP(s) with the specified port (name or ID) (repeat option to fiter on multiple ports)

  Network version 2 only

--fixed-ip-address <ip-address>

  List only floating IP(s) with the specified fixed IP address

  Network version 2 only

--floating-ip-address <ip-address>

  List only floating IP(s) with the specified floating IP address

  Network version 2 only

--status <status>

  List only floating IP(s) with the specified status (‘ACTIVE’, ‘DOWN’)

  Network version 2 only

--project <project>

  List only floating IP(s) with the specified project (name or ID)

  Network version 2 only

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--router <router>

  List only floating IP(s) with the specified router (name or ID) (repeat option to fiter on multiple routers)

  Network version 2 only

--tags <tag>[,<tag>,...]

  List floating IP which have all given tag(s) (Comma-separated list of tags)

  Network version 2 only

--any-tags <tag>[,<tag>,...]

  List floating IP which have any given tag(s) (Comma-separated list of tags)

  Network version 2 only

--not-tags <tag>[,<tag>,...]

  Exclude floating IP which have all given tag(s) (Comma-separated list of tags)

  Network version 2 only

--not-any-tags <tag>[,<tag>,...]

  Exclude floating IP which have any given tag(s) (Comma-separated list of tags)

  Network version 2 only

--long

  List additional fields in output

  Network version 2 only

## floating ip set

Set floating IP Properties

    openstack floating ip set
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--port <port>]
        [--fixed-ip-address <ip-address>]
        [--description <description>]
        [--qos-policy <qos-policy> | --no-qos-policy]
        [--tag <tag>]
        [--no-tag]
        <floating-ip>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--port <port>

  Associate the floating IP with port (name or ID)

--fixed-ip-address <ip-address>

  Fixed IP of the port (required only if port has multiple IPs)

--description <description>

  Set floating IP description

--qos-policy <qos-policy>

  Attach QoS policy to the floating IP (name or ID)

--no-qos-policy

  Remove the QoS policy attached to the floating IP

--tag <tag>

  Tag to be added to the floating IP (repeat option to set multiple tags)

--no-tag

  Clear tags associated with the floating IP. Specify both –tag and –no-tag to overwrite current tags

floating-ip

  Floating IP to modify (IP address or ID)

## floating ip show

Display floating IP details

    openstack floating ip show <floating-ip>

floating-ip

  Floating IP to display (IP address or ID)

## floating ip unset

Unset floating IP Properties

    openstack floating ip unset
        [--extra-property type=<property_type>,name=<property_name>,value=<property_value>]
        [--port]
        [--qos-policy]
        [--tag
        <tag>
        |
        --all-tag
        ]
        <floating-ip>

--extra-property type=<property_type>,name=<property_name>,value=<property_value>

  Additional parameters can be passed using this property. Default type of the extra property is string (‘str’), but other types can be used as well. Available types are: ‘dict’, ‘list’, ‘str’, ‘bool’, ‘int’. In case of ‘list’ type, ‘value’ can be semicolon-separated list of values. For ‘dict’ value is semicolon-separated list of the key:value pairs.

--port

  Disassociate any port associated with the floating IP

--qos-policy

  Remove the QoS policy attached to the floating IP

--tag <tag>

  Tag to be removed from the floating IP (repeat option to remove multiple tags)

--all-tag

  Clear all tags associated with the floating IP

floating-ip

  Floating IP to disassociate (IP address or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.